/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.spectrim.curvefitting;

import org.spectrim.signalprocessing.RandomMinimizerDouble;

/**
 *
 * @author nuno
 */
public class ExponentialFit extends RandomMinimizerDouble{
    private Exponential curve;
    private double[] x;
    private float[] y;
    
    
    public ExponentialFit(Exponential curve, float[] y, double[] x){
        this.curve = curve;
        this.x = x;
        this.y = y;
    }
    
    
    @Override
    public double fnc(double[] par) {
        curve.setParameters(par[0], par[1], par[2]);
        double res = 0;
        for(int i=0;i<x.length;i++){
            res += Math.pow(curve.getY(x[i])-y[i],2);
        }
        return res;
    }
    
}