/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.io.dicom;

/**
 *
 * @author nunopbarros
 */
public class DicomHeaderLine {

    public String VR;
    public String Name;
    public String VM;
    public String Value;
    public byte[] ValueByte;

    public void clear() {
        this.VR = "";
        this.Name = "";
        this.VM = "";
        this.Value = "";
        this.ValueByte = null;
    }

    @Override
    public DicomHeaderLine clone() {
        DicomHeaderLine lineaux = new DicomHeaderLine();
        lineaux.Name = this.Name;
        lineaux.VR = this.VR;
        lineaux.VM = this.VM;
        lineaux.Value = this.Value;
        if(this.ValueByte != null){
            lineaux.ValueByte = this.ValueByte;
        }
        return lineaux;

    }
}