/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.report;

import org.spectrim.model.GlobalModel;
import org.spectrim.view.SpectraPanel;

/**
 *
 * @author Giezi; Modified JSlotboom.
 */
public class ReportSpectraPanel extends SpectraPanel 
{
    public static final int KEEPRED     = 0;
    public static final int KEEPBLUE    = 1;
    public static final int KEEPBOTH    = 2;
    public GlobalModel csimodel;
    
    /**
     * Creates new form ReportSpectraPanel.
     */
    public ReportSpectraPanel( ) 
    {
        super( );
        initComponents( );
    }
    
    public void initPanel( GlobalModel csimodel )
    {
        GlobalModel panelModel = new GlobalModel( csimodel );
        panelModel.setSpectraPanel( this );
        this.setModel( panelModel );
        panelModel.setSpectra( csimodel.getSpectra( ) );
        panelModel.setAbsorptionVisible( csimodel.isAbsorptionVisible( ) );
        panelModel.setMagnitudeVisible( csimodel.isMagnitudeVisible( ) );
        panelModel.setDispersionVisible( csimodel.isDispersionVisible( ) );
        panelModel.setFittedSpectraVisible( csimodel.isFIttedSpectraVisible( ) );
        panelModel.setSpectraAxisVisible( true );
        setZoom( csimodel.getSpectraPanel( ).getZoom( ) );
        panelModel.updateSpectraPanel( );
        this.csimodel = csimodel;
        this.setInvertedAxis( true );
    }
    
    public void adjustZooming( ReportSpectraPanel otherPanel, int keepData )
    {
//        double[] bounds = new double[]{Math.min(this.getYAxisRange()[0],otherPanel.getYAxisRange()[0]),Math.max(otherPanel.getYAxisRange()[1],this.getYAxisRange()[1])};
//            
        setZoom( csimodel.getSpectraPanel( ).getZoom( ) );
        switch( keepData )
        {
            case KEEPRED:
                            this.clearBlueData( );
                            break;
            case KEEPBLUE:
                            this.clearRedData( );
                            break;
            default:
                            break;
        }
        this.setAxisVisible( true );
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        setPreferredSize(new java.awt.Dimension(500, 500));
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
}
