/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.settings.processing;

import org.spectrim.settings.ProcessingSettings;

/**
 *
 * @author nunopbarros
 */
public class ResultsAction {

    private String name = "";

    public static final int SAVE_RESULTS = 0;
    public static final int SAVE_METAB_MAT = 1;

    private int type = SAVE_RESULTS;
    private String resultsFolder = "";

    public ResultsAction() {
    }

    public ResultsAction(String txt) {
        String[] props = txt.split(ProcessingSettings.separator1);
        name = props[0];
        type = Integer.parseInt(props[1]);
        resultsFolder = props[2];
    }

    @Override
    public ResultsAction clone() {
        return new ResultsAction(this.toString());
    }

    @Override
    public String toString() {
        String txt = name + ProcessingSettings.separator1;
        txt += type + ProcessingSettings.separator1;
        txt += resultsFolder;
        return txt;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getResultsFolder() {
        return resultsFolder;
    }

    public void setResultsFolder(String resultsFolder) {
        this.resultsFolder = resultsFolder;
    }

}
