/*
 * File: $Id: OneDSignalDisplayerAndProcessor.java,v 1.1.1.1 2006/04/19 09:38:48 hans Exp $
 * History
 * Date: 29.04.2005, 14:37 Hans Slotboom  Changes:
 *
 * Copyright (C) 2005 by
 * 
 * Inselspital - Department of Neuroradiology
 * CH 3010 Bern Switzerland
 */

/*
 * OneDSignalDisplayerAndProcessor.java
 *
 * Created on April 29, 2005, 2:37 PM
 */

package org.spectrim.tdfdfit;

import java.awt.Dimension;

import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.BoxLayout;
import javax.swing.JButton;

import org.spectrim.xyplot.XYPlotFrame;

/**
 *
 * @author  hans
 */
public class OneDSignalDisplayerAndProcessor extends XYPlotFrame
{
    
    /** 
     * Creates a new instance of OneDSignalDisplayerAndProcessor 
     */
    public OneDSignalDisplayerAndProcessor( String title, JFrame parent )
    {
        super( title, parent );
         
        m_processingPanel = new JPanel( );
        m_processingPanel.setLayout( new BoxLayout( m_processingPanel, BoxLayout.X_AXIS ) );
        
        m_processingPanel.setMinimumSize( new Dimension( 512, 256 ) );
        m_processingPanel.setPreferredSize( new Dimension( 512, 256 ) );
        m_processingPanel.setMaximumSize( new Dimension( 512, 256 ) );
        
        m_testbutton = new JButton();
        
        this.getContentPane( ).add( m_processingPanel );
        
    }
    
    // Attributes
    private JPanel m_processingPanel;
    private JButton m_testbutton;
    
    // For proper serialization
    private static final long serialVersionUID = 1482414591289213L;
}
