/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.decisionforest.results;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;

/**
 *
 * @author nunopbarros
 */
public class ResultMap extends HashMap<String, ResultVect> {

    public String getMax() {
        Set keys;
        keys = this.keySet();
        Iterator iter = keys.iterator();
        String key;
        int aux = 0;
        String res = "None";

        while (iter.hasNext()) {
            key = (String) iter.next();
            if (this.get(key).nr > aux) {
                aux = this.get(key).nr;
                res = key;
            }
        }
        return res;
    }

    public double getProbability(String key) {
        double res = 0;
        Iterator iter = this.keySet().iterator();
        int nrtrees = 0;
        while (iter.hasNext()) {
            nrtrees += get(iter.next()).nr;
        }
        if (this.containsKey(key)) {
            res = this.get(key).probability / (double) nrtrees;
        }

        return res;
    }

    public double getRegressionResult() {
        Set keys;
        keys = this.keySet();
        Iterator iter = keys.iterator();
        String key;
        double val = 0;
        double sum = 0;

        while (iter.hasNext()) {
            key = (String) iter.next();
            sum += get(key).nr;
            val += Double.valueOf(key) * get(key).nr;
        }
        return val / sum;
    }

    public double getMeanValue() {
        Set keys;
        keys = this.keySet();
        Iterator iter = keys.iterator();
        String key;
        double val = 0;
        double sum = 0;

        while (iter.hasNext()) {
            key = (String) iter.next();
            sum += get(key).nr;
            val += Double.valueOf(key) * get(key).probability;
        }
        return val / sum;
    }

}
