/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.spectrim.dicom;

import org.spectrim.lib.JTextAreaWithPopUpMenu;
import java.io.FileWriter;
import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.OutputStream;

/**
 *
 * @author slotboom
 */

class JTextFieldAndErrorLogFileOutputStream extends FilterOutputStream
{

    public JTextFieldAndErrorLogFileOutputStream( OutputStream aStream )
    {
        super( aStream );
    }

    /**
     * Sets the component to which the stdoutput should be directed to.
     * @param textAreaToWriteTo
     */
    public void setJTextAreaToWriteTo( JTextAreaWithPopUpMenu textAreaToWriteTo )
    {
        m_textAreaToWriteTo = textAreaToWriteTo;
    }
    
    public void setLoggingToFile( boolean write2logfile )
    {
        m_write2logfile = write2logfile;
    }

    @Override
    public void write( byte b[] ) throws IOException
    {
        String aString = new String( b );
        m_textAreaToWriteTo.append( aString );
    }

    @Override
    public void write( byte b[], int off, int len ) throws IOException
    {
        String aString = new String( b , off , len );
        m_textAreaToWriteTo.append( aString );
        if ( m_write2logfile == true )
        {
            FileWriter aWriter = new FileWriter( "error.log", true );
            aWriter.write( aString );
            aWriter.close( );
        }
    }

    // Attributes
    private JTextAreaWithPopUpMenu   m_textAreaToWriteTo;
    private boolean                  m_write2logfile;

}