/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.popups;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import org.spectrim.colormap.ColorMap;
import org.spectrim.model.GlobalModel;

/**
 * 
 * Class that interfaces between model and display of quantification results. 
 * 
 * @author nunopbarros
 */
public interface jMRUIResultsMapListener 
{
    public void setColorMapfromjMRUIResults( int metab, int feature, 
                                             boolean showJustSelected, 
                                             String name );
    public void setColorMapfromjMRUIResultsRatio( int metab1, int feature1, 
                                                  int metab2, int feature2, 
                                                  boolean showJustSelected, 
                                                  String name );
    public void setColorMapfromjMRUIResultsFormula( ArrayList<Integer> metab1, 
                                                    ArrayList<Integer> metab2, 
                                                    int feature, 
                                                    boolean showJustSelected );
    public void setColorMapfromjMRUIResultsTriChannel( int[] metab1, int[] feature1, 
                                                       int[] metab2, int[] feature2, 
                                                       int[] metab3, int[] feature3, 
                                                       boolean showJustSelected );
    public void printJMRUIResults( );
    public void printJMRUIResultsSelectedVoxels( );
    public String[] getMetabolitesNames( );
    public String[] getFeatureNames( );
    public LinkedHashMap<String, Double> getMetabolitesPerSelection( ArrayList<String> voxels, boolean... var );
    public ColorMap getColorMap( );
    public GlobalModel getModel( );
    //Jana
    public String getISPOutputFileName( );
}
