/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.settings.processing;

import javax.swing.JDialog;
import javax.swing.JOptionPane;
import org.spectrim.settings.SettingsGUI;

/**
 *
 * @author user
 */
public class SeriesFilterUI extends JDialog {

    SeriesFilter object;
    SettingsGUI parent;
    int number;

    /**
     * Creates new form SeriesSelectionRuleUI
     */
    public SeriesFilterUI(SettingsGUI parent, SeriesFilter object, int number) {
        super(parent, true);
        initComponents();
        this.parent = parent;
        this.object = object;
        this.number = number;
        this.jTextFieldName.setText(object.getName());
        this.jCheckBoxSeriesDescription.setSelected(object.isSeriesDescriptionActive());
        this.jTextFieldSeriesDescription.setText(object.getSeriesDescription());
        this.jCheckBoxTE.setSelected(object.isTEActive());
        this.jFormattedTextFieldTE.setValue(object.getTE());
        this.jFormattedTextFieldTETolerance.setValue(object.getTETolerance());
        this.jCheckBoxTR.setSelected(object.isTRActive());
        this.jFormattedTextFieldTR.setValue(object.getTR());
        this.jFormattedTextFieldTRTolerance.setValue(object.getTRTolerance());
        this.jCheckBoxB0.setSelected(object.isB0Active());
        this.jFormattedTextFieldB0.setValue(object.getB0());
        this.jFormattedTextFieldB0Tolerance.setValue(object.getB0Tolerance());
        this.jCheckBoxNucleus.setSelected(object.isNucleusActive());
        this.jTextFieldNucleus.setText(object.getNucleus());
        this.jCheckBoxBandwidth.setSelected(object.isBandwidthActive());
        this.jFormattedTextFieldBandwidth.setValue(object.getBandwidth());
        this.jFormattedTextFieldBandwidthTolerance.setValue(object.getBandwidthTolerance());
        this.jCheckBoxManufacturer.setSelected(object.isManufacturerActive());
        this.jTextFieldManufacturer.setText(object.getManufacturer());
        this.jCheckBoxModelName.setSelected(object.isModelNameActive());
        this.jTextFieldModelName.setText(object.getModelName());
        this.jRadioButtonSeriesDescriptionContains.setSelected(object.getSeriesDescriptionComparisonMode() == SeriesFilter.CONTAINS_STRING);
        this.jRadioButtonSeriesDescriptionExact.setSelected(object.getSeriesDescriptionComparisonMode() == SeriesFilter.MATCHES_STRING);
        this.enableActiveFields();
        jTextFieldNucleus.setEnabled(false);
        jCheckBoxNucleus.setSelected(true);
        jCheckBoxNucleus.setEnabled(false);

        pack();
        setLocationRelativeTo(parent);
        setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        buttonGroup1 = new javax.swing.ButtonGroup();
        jLabel1 = new javax.swing.JLabel();
        jTextFieldName = new javax.swing.JTextField();
        jTextFieldSeriesDescription = new javax.swing.JTextField();
        jFormattedTextFieldTE = new javax.swing.JFormattedTextField();
        jLabel4 = new javax.swing.JLabel();
        jFormattedTextFieldTETolerance = new javax.swing.JFormattedTextField();
        jCheckBoxSeriesDescription = new javax.swing.JCheckBox();
        jCheckBoxTE = new javax.swing.JCheckBox();
        jCheckBoxTR = new javax.swing.JCheckBox();
        jCheckBoxB0 = new javax.swing.JCheckBox();
        jCheckBoxNucleus = new javax.swing.JCheckBox();
        jCheckBoxBandwidth = new javax.swing.JCheckBox();
        jCheckBoxManufacturer = new javax.swing.JCheckBox();
        jCheckBoxModelName = new javax.swing.JCheckBox();
        jFormattedTextFieldTR = new javax.swing.JFormattedTextField();
        jLabel5 = new javax.swing.JLabel();
        jFormattedTextFieldTRTolerance = new javax.swing.JFormattedTextField();
        jFormattedTextFieldB0 = new javax.swing.JFormattedTextField();
        jLabel6 = new javax.swing.JLabel();
        jFormattedTextFieldB0Tolerance = new javax.swing.JFormattedTextField();
        jFormattedTextFieldBandwidth = new javax.swing.JFormattedTextField();
        jLabel7 = new javax.swing.JLabel();
        jFormattedTextFieldBandwidthTolerance = new javax.swing.JFormattedTextField();
        jTextFieldNucleus = new javax.swing.JTextField();
        jTextFieldManufacturer = new javax.swing.JTextField();
        jTextFieldModelName = new javax.swing.JTextField();
        jSeparator1 = new javax.swing.JSeparator();
        jPanel1 = new javax.swing.JPanel();
        jButtonSave = new javax.swing.JButton();
        jButtonCancel = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        jRadioButtonSeriesDescriptionExact = new javax.swing.JRadioButton();
        jRadioButtonSeriesDescriptionContains = new javax.swing.JRadioButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Series Filter Editor");
        setAlwaysOnTop(true);
        setMinimumSize(new java.awt.Dimension(400, 350));
        getContentPane().setLayout(new java.awt.GridBagLayout());

        jLabel1.setText("Name");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        getContentPane().add(jLabel1, gridBagConstraints);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 3;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jTextFieldName, gridBagConstraints);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jTextFieldSeriesDescription, gridBagConstraints);

        jFormattedTextFieldTE.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#0.00"))));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jFormattedTextFieldTE, gridBagConstraints);

        jLabel4.setText("Tolerance");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel4, gridBagConstraints);

        jFormattedTextFieldTETolerance.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#0.00"))));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jFormattedTextFieldTETolerance, gridBagConstraints);

        jCheckBoxSeriesDescription.setText("Series Description");
        jCheckBoxSeriesDescription.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxSeriesDescriptionActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(jCheckBoxSeriesDescription, gridBagConstraints);

        jCheckBoxTE.setText("TE (ms)");
        jCheckBoxTE.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxTEActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(jCheckBoxTE, gridBagConstraints);

        jCheckBoxTR.setText("TR (ms)");
        jCheckBoxTR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxTRActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(jCheckBoxTR, gridBagConstraints);

        jCheckBoxB0.setText("B0 (T)");
        jCheckBoxB0.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxB0ActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(jCheckBoxB0, gridBagConstraints);

        jCheckBoxNucleus.setText("Nucleus");
        jCheckBoxNucleus.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxNucleusActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(jCheckBoxNucleus, gridBagConstraints);

        jCheckBoxBandwidth.setText("Bandwidth (Hz)");
        jCheckBoxBandwidth.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxBandwidthActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(jCheckBoxBandwidth, gridBagConstraints);

        jCheckBoxManufacturer.setText("Manufacturer");
        jCheckBoxManufacturer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxManufacturerActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(jCheckBoxManufacturer, gridBagConstraints);

        jCheckBoxModelName.setText("Model Name");
        jCheckBoxModelName.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxModelNameActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        getContentPane().add(jCheckBoxModelName, gridBagConstraints);

        jFormattedTextFieldTR.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#0.00"))));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jFormattedTextFieldTR, gridBagConstraints);

        jLabel5.setText("Tolerance");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel5, gridBagConstraints);

        jFormattedTextFieldTRTolerance.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#0.00"))));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jFormattedTextFieldTRTolerance, gridBagConstraints);

        jFormattedTextFieldB0.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#0.00"))));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jFormattedTextFieldB0, gridBagConstraints);

        jLabel6.setText("Tolerance");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel6, gridBagConstraints);

        jFormattedTextFieldB0Tolerance.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#0.00"))));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jFormattedTextFieldB0Tolerance, gridBagConstraints);

        jFormattedTextFieldBandwidth.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#0.00"))));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jFormattedTextFieldBandwidth, gridBagConstraints);

        jLabel7.setText("Tolerance");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(0, 5, 0, 0);
        getContentPane().add(jLabel7, gridBagConstraints);

        jFormattedTextFieldBandwidthTolerance.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#0.00"))));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jFormattedTextFieldBandwidthTolerance, gridBagConstraints);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jTextFieldNucleus, gridBagConstraints);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jTextFieldManufacturer, gridBagConstraints);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        getContentPane().add(jTextFieldModelName, gridBagConstraints);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(5, 0, 5, 0);
        getContentPane().add(jSeparator1, gridBagConstraints);

        jPanel1.setLayout(new java.awt.GridBagLayout());

        jButtonSave.setText("Save");
        jButtonSave.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSaveActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        jPanel1.add(jButtonSave, gridBagConstraints);

        jButtonCancel.setText("Cancel");
        jButtonCancel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelActionPerformed(evt);
            }
        });
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        jPanel1.add(jButtonCancel, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.FIRST_LINE_END;
        gridBagConstraints.insets = new java.awt.Insets(5, 0, 0, 0);
        getContentPane().add(jPanel1, gridBagConstraints);

        buttonGroup1.add(jRadioButtonSeriesDescriptionExact);
        jRadioButtonSeriesDescriptionExact.setText("Exact Match");
        jPanel2.add(jRadioButtonSeriesDescriptionExact);

        buttonGroup1.add(jRadioButtonSeriesDescriptionContains);
        jRadioButtonSeriesDescriptionContains.setText("Contains");
        jPanel2.add(jRadioButtonSeriesDescriptionContains);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jPanel2, gridBagConstraints);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jCheckBoxTRActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxTRActionPerformed
        enableActiveFields();
    }//GEN-LAST:event_jCheckBoxTRActionPerformed

    private void jCheckBoxB0ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxB0ActionPerformed
        enableActiveFields();
    }//GEN-LAST:event_jCheckBoxB0ActionPerformed

    private void jCheckBoxNucleusActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxNucleusActionPerformed
        enableActiveFields();
    }//GEN-LAST:event_jCheckBoxNucleusActionPerformed

    private void jCheckBoxBandwidthActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxBandwidthActionPerformed
        enableActiveFields();
    }//GEN-LAST:event_jCheckBoxBandwidthActionPerformed

    private void jCheckBoxManufacturerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxManufacturerActionPerformed
        enableActiveFields();
    }//GEN-LAST:event_jCheckBoxManufacturerActionPerformed

    private void jCheckBoxModelNameActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxModelNameActionPerformed
        enableActiveFields();
    }//GEN-LAST:event_jCheckBoxModelNameActionPerformed

    private void jButtonSaveActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSaveActionPerformed
        save();
    }//GEN-LAST:event_jButtonSaveActionPerformed

    private void save() {
        if (jTextFieldName.getText().trim().matches("")) {
            JOptionPane.showMessageDialog(this, "Please provide a valid name.", "Invalid Name", JOptionPane.WARNING_MESSAGE);
            this.jTextFieldName.requestFocus();
        } else if (parent.isSeriesFilterNameRepeated(jTextFieldName.getText(), number)) {
            JOptionPane.showMessageDialog(this, "The chosen name is already in use.", "Invalid Name", JOptionPane.WARNING_MESSAGE);
            this.jTextFieldName.requestFocus();
        } else {
            object.setName(jTextFieldName.getText().trim());

            object.setSeriesDescriptionActive(this.jCheckBoxSeriesDescription.isSelected());
            object.setTEActive(this.jCheckBoxTE.isSelected());
            object.setTRActive(this.jCheckBoxTR.isSelected());
            object.setB0Active(this.jCheckBoxB0.isSelected());
            object.setNucleusActive(this.jCheckBoxNucleus.isSelected());
            object.setBandwidthActive(this.jCheckBoxBandwidth.isSelected());
            object.setManufacturerActive(this.jCheckBoxManufacturer.isSelected());
            object.setModelNameActive(this.jCheckBoxModelName.isSelected());

            object.setSeriesDescription(this.jTextFieldSeriesDescription.getText().trim());
            object.setTE(((Number) this.jFormattedTextFieldTE.getValue()).doubleValue());
            object.setTR(((Number) this.jFormattedTextFieldTR.getValue()).doubleValue());
            object.setB0(((Number) this.jFormattedTextFieldB0.getValue()).doubleValue());
            object.setNucleus(this.jTextFieldNucleus.getText().trim());
            object.setBandwidth(((Number) this.jFormattedTextFieldBandwidth.getValue()).doubleValue());
            object.setManufacturer(this.jTextFieldManufacturer.getText().trim());
            object.setModelName(this.jTextFieldModelName.getText().trim());

            object.setTETolerance(((Number) this.jFormattedTextFieldTETolerance.getValue()).doubleValue());
            object.setTRTolerance(((Number) this.jFormattedTextFieldTRTolerance.getValue()).doubleValue());
            object.setB0Tolerance(((Number) this.jFormattedTextFieldB0Tolerance.getValue()).doubleValue());
            object.setBandwidthTolerance(((Number) this.jFormattedTextFieldBandwidthTolerance.getValue()).doubleValue());
            
            object.setSeriesDescriptionComparisonMode(this.jRadioButtonSeriesDescriptionExact.isSelected()? SeriesFilter.MATCHES_STRING: SeriesFilter.CONTAINS_STRING);
            parent.addSeriesSelectionActionUI(object, number);
            this.dispose();
        }
    }

    private void jButtonCancelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelActionPerformed
        this.dispose();
    }//GEN-LAST:event_jButtonCancelActionPerformed

    private void jCheckBoxSeriesDescriptionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxSeriesDescriptionActionPerformed
        enableActiveFields();
    }//GEN-LAST:event_jCheckBoxSeriesDescriptionActionPerformed

    private void jCheckBoxTEActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxTEActionPerformed
        enableActiveFields();
    }//GEN-LAST:event_jCheckBoxTEActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JButton jButtonCancel;
    private javax.swing.JButton jButtonSave;
    private javax.swing.JCheckBox jCheckBoxB0;
    private javax.swing.JCheckBox jCheckBoxBandwidth;
    private javax.swing.JCheckBox jCheckBoxManufacturer;
    private javax.swing.JCheckBox jCheckBoxModelName;
    private javax.swing.JCheckBox jCheckBoxNucleus;
    private javax.swing.JCheckBox jCheckBoxSeriesDescription;
    private javax.swing.JCheckBox jCheckBoxTE;
    private javax.swing.JCheckBox jCheckBoxTR;
    private javax.swing.JFormattedTextField jFormattedTextFieldB0;
    private javax.swing.JFormattedTextField jFormattedTextFieldB0Tolerance;
    private javax.swing.JFormattedTextField jFormattedTextFieldBandwidth;
    private javax.swing.JFormattedTextField jFormattedTextFieldBandwidthTolerance;
    private javax.swing.JFormattedTextField jFormattedTextFieldTE;
    private javax.swing.JFormattedTextField jFormattedTextFieldTETolerance;
    private javax.swing.JFormattedTextField jFormattedTextFieldTR;
    private javax.swing.JFormattedTextField jFormattedTextFieldTRTolerance;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JRadioButton jRadioButtonSeriesDescriptionContains;
    private javax.swing.JRadioButton jRadioButtonSeriesDescriptionExact;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTextField jTextFieldManufacturer;
    private javax.swing.JTextField jTextFieldModelName;
    private javax.swing.JTextField jTextFieldName;
    private javax.swing.JTextField jTextFieldNucleus;
    private javax.swing.JTextField jTextFieldSeriesDescription;
    // End of variables declaration//GEN-END:variables

    private void enableActiveFields() {
        jFormattedTextFieldB0.setEnabled(this.jCheckBoxB0.isSelected());
        jFormattedTextFieldB0Tolerance.setEnabled(this.jCheckBoxB0.isSelected());
        jFormattedTextFieldBandwidth.setEnabled(this.jCheckBoxBandwidth.isSelected());
        jFormattedTextFieldBandwidthTolerance.setEnabled(this.jCheckBoxBandwidth.isSelected());
        jFormattedTextFieldTE.setEnabled(this.jCheckBoxTE.isSelected());
        jFormattedTextFieldTETolerance.setEnabled(this.jCheckBoxTE.isSelected());
        jFormattedTextFieldTR.setEnabled(this.jCheckBoxTR.isSelected());
        jFormattedTextFieldTRTolerance.setEnabled(this.jCheckBoxTR.isSelected());
        jTextFieldManufacturer.setEnabled(this.jCheckBoxManufacturer.isSelected());
        jTextFieldModelName.setEnabled(this.jCheckBoxModelName.isSelected());
//        jTextFieldNucleus.setEnabled(this.jCheckBoxNucleus.isSelected());
        jTextFieldSeriesDescription.setEnabled(this.jCheckBoxSeriesDescription.isSelected());
        this.jRadioButtonSeriesDescriptionContains.setEnabled(this.jCheckBoxSeriesDescription.isSelected());
        this.jRadioButtonSeriesDescriptionExact.setEnabled(this.jCheckBoxSeriesDescription.isSelected());
    }

}
