/*
 * File: $Id: MRSingleVoxelSpectrumPreviewer.java,v 1.1.1.1 2006/04/19 09:38:49 hans Exp $
 * History
 * Date: 19.04.2006, 16:27  Authors: Hans Slotboom
 *
 * Changes:
 *
 * Copyright (C) 2006 by
 * 
 * Inselspital - Department of Neuroradiology
 * CH 3010 Bern Switzerland
 */

/*
 * MRSpectrumPreviewer.java
 *
 * Created on November 19, 2003, 4:27 PM
 */

package org.spectrim.tdfdfit;

import javax.swing.JFrame;
import org.spectrim.dicom.DicomDirectory;
import org.spectrim.model.GlobalModel;


/**
 *
 * Allows previewing of spectra.
 *
 * @author  hans
 */
public class MRSingleVoxelSpectrumPreviewer extends MRMeasuredClinicalSVSSpectrumViewer
{
    
    /** 
     * Creates a new instance of MRSpectrumPreviewer 
     * @param parent
     * @param ddir
     * @param model
     */
    public MRSingleVoxelSpectrumPreviewer( JFrame parent, DicomDirectory ddir, GlobalModel model )
    {
        super( "Spectrum Preview", parent, ddir, model );
    }
    
    // For proper serialization
    private static final long serialVersionUID = 9982128799633883L;
    
}

